<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" encoding="UTF-8"
                xmlns="http://periapsis.org/tellico/"
                xmlns:gr="http://gramps-project.org/xml/1.3.0/"
                exclude-result-prefixes="gr"
                version="1.0">

<!--
   ===================================================================
GNU General Public License 2, or (at your option) any later version.
   ===================================================================
-->

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"
            doctype-public="-//Robby Stephenson/DTD Tellico V9.0//EN"
            doctype-system="http://periapsis.org/tellico/dtd/v9/tellico.dtd"/>


<xsl:template match="/">
<tellico syntaxVersion="9">
 <collection title="GRAMPS" type="1" >
   <fields>
   <field flags="6" title="Titre" category="Général" format="1" type="1" name="title"/>
   <field flags="6" title="Author" category="Général" format="1" type="1" name="sauthor" description="the author"/>
   <field flags="6" title="Abbreviation" category="Général" format="4" type="1" name="sabbrev" description="abbreviation"/>
   <field flags="6" title="My classification" category="Général" format="4" type="1" name="cote" description="your classification" />
   <field flags="6" title="Type" category="Général" format="4" type="3" name="type" description="what type of source" allowed="Birth;Marriage;Death;Christering;Burial"/>
   <field flags="6" title="Individuals" category="Général" format="2" type="8" name="individuals" description="who is on source">
   <prop name="column1">Patronymics</prop>
   <prop name="column2">Prenom</prop>
   <prop name="column3">status</prop>
   <prop name="column4">Age</prop>
   <prop name="column5">Profession</prop>
   <prop name="column6">Living</prop>
   <prop name="column7">Gender</prop>
   <prop name="column8">Other</prop>
   <prop name="columns">8</prop>
   </field>
   <field flags="6" title="Publication" category="Général" format="4" type="1" name="spubinfo" description="publication informations"/>
   <field flags="6" title="Place" category="Général" format="4" type="1" name="place" description="place where source arise (source place)"/>
   <field flags="6" title="Date" category="Général" format="4" type="12" name="date" description="date when source arise (source date)"/>
   <field flags="6" title="Data key" category="Général" format="4" type="1" name="key" description="data key"/>
   <field flags="6" title="Data value" category="Général" format="4" type="1" name="value" description="data value"/>
   <field flags="6" title="Call number" category="Général" format="4" type="1" name="callno" description="Call number on repository" />
   <field flags="6" title="Medium" category="Général" format="4" type="1" name="medium" description="type of medium"/>
  <field flags="6" title="Repository hlink" category="Général" format="4" type="1" name="hlink" description="Repository hlink"/>
   <field flags="2" title="Objet" category="Général" format="4" type="10" name="image" description="media object reference"/>
   <field flags="6" title="Source Note" category="Général" format="4" type="2" name="note" description="Notes"/>
   </fields>
	<xsl:apply-templates select="gr:database/gr:sources"/>
 </collection>
</tellico>
</xsl:template>

<xsl:template match="gr:database/gr:sources">
<xsl:for-each select="gr:source">
<!-- id has to be a number in tellico, for now, remove every non-number character -->
<xsl:variable name="bad">
<xsl:value-of select="translate(@id, '0123456789', '')"/>
</xsl:variable>
<xsl:variable name="id">
<xsl:value-of select="translate(@id, $bad, '')"/>
</xsl:variable>
<entry id="{$id}">
<titles>
 <title>
  <xsl:value-of select="gr:stitle"/>
 </title>
</titles>
<sauthor><xsl:value-of select="gr:sauthor"/></sauthor>
<sabbrev><xsl:value-of select="gr:sabbrev"/></sabbrev>
<spubinfo><xsl:value-of select="gr:spubinfo"/></spubinfo>
<objref>
<image>.jpeg</image>
</objref>
<key><xsl:value-of select="gr:data/@key"/></key>
<value><xsl:value-of select="gr:data/@value"/></value>
<callno><xsl:value-of select="gr:reporef/@callno"/></callno>
<medium><xsl:value-of select="gr:reporef/@medium"/></medium>
<hlink><xsl:value-of select="gr:reporef/@hlink"/></hlink>
<note><xsl:value-of select="gr:note"/></note>
</entry>
</xsl:for-each>
</xsl:template>

</xsl:stylesheet>
