<?xml version="1.0"?>
<!-- WARNING: Tellico uses tc as the internal namespace declaration, and it must be identical here!! -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:tc="http://periapsis.org/tellico/"
                exclude-result-prefixes="tc"
                version="1.0">

<!--
   ===================================================================
GNU General Public License 2, or (at your option) any later version.
   ===================================================================
-->

<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"
            doctype-public="-//GRAMPS//DTD GRAMPS XML 1.3.0//EN"
            doctype-system="http://gramps-project.org/xml/1.3.0/grampsxml.dtd"/>

<xsl:template match="/">
<database xmlns="http://gramps-project.org/xml/1.3.0/">
  <header>
    <created date="2010-11-27" version="3.2.4"/>
    <researcher>
      <resname></resname>
    </researcher>
  </header>
 <xsl:apply-templates select="tc:tellico/tc:collection/tc:entry"/>
</database>
</xsl:template>

<xsl:template match="tc:tellico/tc:collection/tc:entry">
<sources>
<!-- choice for param or variable -->
<xsl:variable name="id">
<xsl:value-of select="@id"/>
</xsl:variable>
<xsl:variable name="key">
<xsl:value-of select="tc:key"/>
</xsl:variable>
<xsl:variable name="value">
<xsl:value-of select="tc:value"/>
</xsl:variable>
<xsl:variable name="callno">
<xsl:value-of select="tc:callno"/>
</xsl:variable>
<xsl:variable name="medium">
<xsl:value-of select="tc:medium"/>
</xsl:variable>
<xsl:variable name="hlink">
<xsl:value-of select="tc:hlink"/>
</xsl:variable>
  <source id="S{$id}">
      <stitle><xsl:value-of select="tc:title"/></stitle>
      <sabbrev><xsl:value-of select="tc:sabbrev"/><xsl:text> </xsl:text>
      <xsl:value-of select="tc:cote"/>
      </sabbrev>
      <sauthor><xsl:value-of select="tc:sauthor"/></sauthor>
      <spubinfo><xsl:value-of select="tc:spubinfo"/>
<!-- fields are not supported by gramps-->	
         <xsl:text> </xsl:text><xsl:value-of select="tc:date/tc:year"/>-<xsl:value-of select="tc:date/tc:month"/>-<xsl:value-of select="tc:date/tc:day"/><xsl:text> </xsl:text>
         <xsl:value-of select="tc:place"/>
      </spubinfo>
      <data key="{$key}" value="{$value}"/>
<!-- This could introduces problem after gramps import, use repair db or make the choice to import repo -->
      <reporef callno="{$callno}" medium="{$medium}" hlink="{$hlink}"/>
      <note>
       <xsl:value-of select="tc:note"/>
<!-- If fields are not supported by gramps, then use the note !!! will be different for DTD 1.2.0 -->
     </note>
   </source>
 </sources>
</xsl:template>

</xsl:stylesheet>
